Package org.drinkless.tdlib

# Class TdApi.GetChatFolderChatCount

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Count>
org.drinkless.tdlib.TdApi.GetChatFolderChatCount

Enclosing class:
  `TdApi`

public static class TdApi.GetChatFolderChatCount extends TdApi.Function<TdApi.Count>
Returns approximate number of chats in a being created chat folder. Main and archive chat lists must be fully preloaded for this function to work correctly.

Returns `Count`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatFolder`
  `folder`
  The new chat folder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatFolderChatCount()`
  Default constructor for a function, which returns approximate number of chats in a being created chat folder.
  `GetChatFolderChatCount(TdApi.ChatFolder folder)`
  Creates a function, which returns approximate number of chats in a being created chat folder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### folder

    public TdApi.ChatFolder folder
    The new chat folder.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatFolderChatCount

    public GetChatFolderChatCount()
    Default constructor for a function, which returns approximate number of chats in a being created chat folder. Main and archive chat lists must be fully preloaded for this function to work correctly.

    Returns `Count`

  - ### GetChatFolderChatCount

    public GetChatFolderChatCount(TdApi.ChatFolder folder)
    Creates a function, which returns approximate number of chats in a being created chat folder. Main and archive chat lists must be fully preloaded for this function to work correctly.

    Returns `Count`

    Parameters:
      `folder` - The new chat folder.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Count>`
    Returns:
      this.CONSTRUCTOR